Bug 749845 (CVE-2011-4923)

Summary: CVE-2011-4923 BackupPC: XSS in View.pm
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bjohnson
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-18 17:21:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 749846, 749847, 749848    
Bug Blocks:    

Description Vincent Danen 2011-10-28 17:24:29 UTC
An XSS flaw was found in BackupPC by Jamie Strandboge.  Quoting his post to oss-security [1]:


While preparing updates to fix CVE-2011-3361 in Ubuntu I discovered
another XSS vulnerability in View.pm when accessing the following URLs
in backuppc:

index.cgi?action=view&type=XferLOG&num=<XSS here>&host=<some host>
index.cgi?action=view&type=XferErr&num=<XSS here>&host=<some host>

A patch to correct the flaw is attached to his email message to oss-security.

This flaw is similar to CVE-2011-3361, which is fixed in BackupPC 3.2.1 (the version currently in Fedora/EPEL).

[1] http://www.openwall.com/lists/oss-security/2011/10/27/8

Comment 1 Vincent Danen 2011-10-28 17:25:48 UTC
Created BackupPC tracking bugs for this issue

Affects: fedora-all [bug 749846]
Affects: epel-5 [bug 749847]
Affects: epel-6 [bug 749848]

Comment 2 Vincent Danen 2012-02-18 17:21:27 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-4923 to
the following vulnerability:

Name: CVE-2011-4923
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4923
Assigned: 20111223
Reference: http://www.openwall.com/lists/oss-security/2011/10/27/8
Reference: http://www.openwall.com/lists/oss-security/2012/01/04/15
Reference: http://ubuntu.com/usn/usn-1249-1
Reference: http://www.securityfocus.com/bid/50406
Reference: http://secunia.com/advisories/46615
Reference: XF:backuppc-num-xss(71030)
Reference: http://xforce.iss.net/xforce/xfdb/71030

Cross-site scripting (XSS) vulnerability in View.pm in BackupPC 3.0.0,
3.1.0, 3.2.0, 3.2.1, and possibly earlier allows remote attackers to
inject arbitrary web script or HTML via the num parameter in a view
action to index.cgi, related to t